/**
 * Theme name: Bivalyos Tanya
 * Description: Child theme for Bivalyos based on Infinite Unity theme
 * Author: Felföldi László
 * Template: iu_theme
 * Version: 0.1.0
 */

@import url('./vars.css');

body:not(.wp-admin, #tinymce) {
	padding-top: 6.3rem;
}
body > header {
	position: fixed;
	z-index: 99999;
	top: 0;
	left: 0;
	width: 100%;
	border-bottom: 2px solid var(--wp--preset--color--light-gray);
}
body.admin-bar > header {
	top: var(--wp-admin--admin-bar--height);
}

h1:not(.wp-block-post-title), h2, h3, h4, h5, h6 {
	font-weight: 500;
	text-transform: uppercase;
}

a:not(.iu-button) {
	color: var(--wp--preset--color--primary);
	font-weight: 600;
	transition: color .12s;
}
a:not(.iu-button):hover {
	text-decoration: none;
	color: var(--wp--preset--color--green);
}

.iu-text, .iu-list-item {
	font-size: 1.092rem;
}
.iu-text.iu-text-small {
	font-size: 1rem;
}

.iu-menu-block li a {
	font-weight: 600;
	text-transform: uppercase;
}
.iu-menu-block li a:hover, .iu-menu-block li.current_page_item > a, .iu-menu-block li.current_page_parent > a  {
	text-decoration: none;
	color: var(--wp--preset--color--green);
}
.iu-menu-block li.menu-item-has-children a {
	padding-bottom: 1.5rem;
}
.iu-menu-block .sub-menu {
	border: 2px solid var(--wp--preset--color--light-gray);
	background: white;
	padding: .9rem 0;
	top: calc(100% + 1rem);
	left: -1.2rem;
	min-width: 18rem;
	box-shadow: 0 .3rem 1rem rgba(0, 0, 0, .05);
}
.iu-menu-block .sub-menu li {
	padding: .6rem 1.5rem;
}

.iu-button {
	transition: background-color .12s, border-color .12s;
	padding-left: 2.1rem;
	padding-right: 2.1rem;
	box-shadow: 0 .15rem .6rem rgba(0,0,0,.15);
}
.iu-button:hover {
	text-decoration: none !important;
}
.iu-button.iu-button-invert {
	background: var(--wp--preset--color--dark-gray);
	border-color: var(--wp--preset--color--dark-gray);
	color: var(--wp--preset--color--white);
}
.iu-button.iu-button-default:hover, .iu-button.iu-button-invert:hover {
	background: var(--wp--preset--color--green);
	border-color: var(--wp--preset--color--green);
	color: var(--wp--preset--color--white);
}
.iu-button.iu-button-disabled, .iu-button.iu-button-disabled:hover {
	background: none;
	color: var(--wp--preset--color--primary);
	box-shadow: none;
}
.iu-button.add_to_cart_button {
	box-shadow: 0 .3rem 1rem rgba(0,60,0,.39);
}

.iu-icon {
	transition: background-color .12s;
}
.iu-icon.iu-icon-invert {
	background: var(--wp--preset--color--dark-gray);
	color: var(--wp--preset--color--white);
	border-radius: 0;
}
.iu-icon.iu-icon-invert:hover {
	background: var(--wp--preset--color--green);
}

.iu-row.hero:before {
	content: '';
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background: linear-gradient(90deg, rgba(0,0,0,.3), rgba(0,0,0,.54) 20%, transparent);
	z-index: 0;
}
.iu-row.iu-has-background {
	width: calc(var(--iu-row-width) + 9%);
	padding-left: 4.5%;
	padding-right: 4.5%;
}

.bivalyos-heading {
	display: flex;
	align-items: center;
}
.bivalyos-heading span {
	padding: 0 1.5rem;
}
.bivalyos-heading:before, .bivalyos-heading:after {
	content: '';
	height: 1px;
	border-top: 1px dashed var(--wp--preset--color--primary);
	flex: 1;
}
.bivalyos-quantity-discount-text {
	margin-top: 1.5rem;
}
.iu-woocommerce-unit {
    font-size: var(--iu-text-font-size);
    text-transform: none;
    display: inline-block;
}
del .iu-woocommerce-unit {
	display: none;
}
.iu-woocommerce-quantity-reached {
    font-weight: 500;
    color: green;
}
.product-details .iu-woocommerce-quantity-reached {
	margin: 1.8rem 0;
}

.top p a {
	font-weight: 400;
}
.iu-section.top p.iu-text a:hover {
	color: var(--wp--preset--color--green) !important;
}
.top .iu-icon {
	height: 2.1rem;
}
.top .iu-icon .dashicon {
	font-size: 1.35rem !important;
    height: 1.35rem !important;
}
.iu-icon-group a.iu-icon[href]:hover {
	transform: none;
}
.iu-section a.iu-icon[href]:hover .dashicon {
	color: var(--wp--preset--color--green) !important;
}

.iu-form .iu-form-field {
	margin-bottom: .6rem;
}
.iu-form .iu-form-field label {
	font-weight: 500;
}
.iu-form .iu-form-field input[type=text],
.iu-form .iu-form-field textarea,
.iu-form .iu-form-field select {
	border-width: 2px;
	outline: none !important;
	box-shadow: 0 .12rem .3rem rgba(0,0,0,.06);
}
.iu-form .iu-form-checkbox-input {
	border-width: 2px;
	box-shadow: 0 .12rem .3rem rgba(0,0,0,.06);
}

.iu-form.newsletter {
	display: flex;
	flex-wrap: wrap;
	align-items: flex-start;
	max-width: 33rem;
}
.iu-form.newsletter .iu-form-field {
	flex: 1;
	margin: 0;
}
.iu-form.newsletter .iu-form-field input {
	border-width: 2px;
	outline: none !important;
}
.iu-form.newsletter .iu-form-accept {
	order: 9;
	width: 100%;
	flex: unset;
}
.iu-form.newsletter .iu-form-foot {
	margin: 0;
}
.iu-form.newsletter .iu-form-submit {
	background: var(--wp--preset--color--dark-gray);
	border-color: var(--wp--preset--color--dark-gray);
	padding-top: .96rem;
    padding-bottom: .96rem;
}
.iu-form.newsletter .iu-form-submit:hover {
	background: var(--wp--preset--color--green);
	border-color: var(--wp--preset--color--green);
}

.iu-query-item .iu-query-item-image {
	display: block;
	width: 100%;
	height: 0;
	padding-top: 75%;
	position: relative;
}
.iu-query-item .iu-query-item-image img {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	object-fit: cover;
	object-position: center;
}
.iu-query-item h4 {
	margin: .9rem 0 0;
}
.iu-query-item p.iu-text-muted {
	margin: .3rem 0 0;
	font-family: var(--iu-heading-font-family);
}

.iu-image-carousel-slider {
	margin: 0 -6%;
}
.iu-image-carousel-slider .iu-image-carousel-wrap {
	padding-top: 81%;
}
.iu-image-carousel-arrows:before, .iu-image-carousel-arrows:after {
	content: '';
	display: inline-block;
	border-top: 1px dashed var(--wp--preset--color--primary);
	flex: 1;
}
.iu-image-slider-slider {
	margin: 0 -6%;
}
.iu-image-slider .iu-image-slider-wrap {
	height: 30rem;
}
.iu-image-slider .iu-image-slider-content {
	padding-left: 6%;
	padding-right: 60%;
}
.iu-image-slider .iu-image-slider-content h2 {
	font-size: var(--iu-heading-1-font-size);
	margin-top: 0;
}
.iu-image-slider .iu-image-slider-content h4 {
	margin-top: -1.8rem;
}
.iu-image-slider .iu-image-slider-content .iu-button-group {
	margin-top: 1.8rem;
}

.iu-terms {
	padding-bottom: 1rem;
	border-bottom: 1px dashed var(--wp--preset--color--primary);
	margin-bottom: 1.5rem;
}

.iu-blog-item {
	display: flex;
	flex-direction: row-reverse;
	gap: 1.8rem;
	border-bottom: 1px dashed var(--wp--preset--color--primary);
	padding-bottom: 1.5rem;
	margin-bottom: -.5rem;
}
.iu-blog-item .iu-query-item-image {
	padding-top: 39%;
	width: calc((100% - 1.8rem) / 2);
	height: 100%;
}
.iu-blog-item .iu-blog-item-details {
	flex: 1;
}
.iu-query-paging {
	margin-top: 2.1rem;
}
.iu-query-paging .page-numbers {
	font-weight: 600;
	font-family: var(--iu-text-font-family);
	font-size: var(--iu-text-font-size);
}

.iu-group.quality-group .iu-image {
	width: 9rem;
}
.iu-group.quality-group > .iu-group {
	flex: 1;
}

.iu-image.image-filter img {
	filter: hue-rotate(-18deg) saturate(0.6) brightness(0.75) contrast(2.4);
}

/*.iu-column.toc-container {
	position: relative;
}
.iu-group.toc {
	position: relative;
	padding: .9rem 2.1rem 1.5rem 2.1rem;
}
.iu-group.toc.stick-top {
	position: fixed;
}
.iu-group.toc.stick {
	position: absolute;
	left: 0;
}
.iu-group.toc.stick-bottom {
	position: fixed;
	bottom: 0;
}*/
.iu-group.toc {
	position: sticky;
	top: 6.3rem;
	padding: .9rem 2.1rem 1.5rem 2.1rem;
	height: calc(100vh - 6.3rem);
	overflow-y: auto;
}
body.admin-bar .iu-group.toc {
	top: 8.7rem;
	height: calc(100vh - 8.7rem);
}
.iu-group.toc ul {
	padding-left: 2.1rem;
	counter-reset: item;
	list-style-type: none;
}
.iu-group.toc li {
	padding-bottom: .3rem;
	padding-left: .15rem;
}
.iu-group.toc ul > li {
	counter-increment: item;
}
.iu-group.toc ul li ul {
  	margin-top: .6rem;
}
.iu-group.toc li::marker {
	content: counters(item, '.') '. ';
	margin-right: .6rem;
	display: inline-block;
	font-weight: 600;
}
.iu-column.toc-content > .iu-group {
	margin-bottom: 3rem;
}
.iu-column.toc-content > .block-editor-inner-blocks > .block-editor-block-list__layout > .iu-group > .block-editor-inner-blocks > .block-editor-block-list__layout {
	margin-bottom: 3rem;
}
.iu-column.toc-content > .iu-group:last-child {
	margin: 0;
}

.iu-image.bio img {
	filter: brightness(.7);
}

.iu-group.order-flow-container {
	gap: .21rem;
}
.iu-group.order-flow {
	background: white;
	padding: 1.5rem 3rem;
	text-align: center;
}
.iu-group.order-flow svg {
	width: 2.4rem;
	display: inline-block;
	margin-top: .9rem;
	fill: var(--wp--preset--color--primary);
}

.bivalyos-prices .iu-text {
	font-size: 1rem;
}
	
.footer p a {
	color: var(--wp--preset--color--white);
}
.footer p a:not([href*="tel:"]):not([href*="mailto:"]) {
	font-weight: normal;
}
.footer p.iu-text a:hover {
	color: var(--wp--preset--color--green) !important;
}

.footer .iu-row:first-child .iu-column {
	width: calc((100% - 27%) / 3) !important;
}
.footer .iu-row:first-child .iu-column:first-child {
	width: 27% !important;
}

.footer .copyright {
	border-top: 1px dashed rgba(255,255,255,.12);
}

.iu-image.szechenyi {
	position: fixed;
	bottom: 0;
	right: 0;
	z-index: 99998;
}

@media (min-width: 1441px){
	:root {
		--iu-row-width: 70%;
		--iu-text-font-size: .87vw;
	}
}

@media (max-width: 991.8px){
	body {
		width: 100vw;
    	overflow-x: hidden;
	}
	body:not(.wp-admin, #tinymce) {
	    padding-top: 5.4rem;
	}

	header > .iu-section {
		padding: 0;
	}
	header .logo img {
		height: 4.5rem !important;
	}
	header .logo .iu-text {
		font-size: .9rem;
	}

	.iu-text.iu-text-small {
		font-size: 1.08rem;
	}

	.iu-group.iu-group_4	{
		padding-left: .9rem;
	}
	.iu-menu-block .sub-menu {
		border: none;
		box-shadow: none;
		min-width: unset;
	}
	.iu-menu-block .sub-menu li {
		padding-top: 0;
		padding-bottom: 0;
	}

	.iu-image-slider .iu-image-slider-content {
		padding: 0 4.5%;
	}
	.iu-image-slider a.slick-arrow {
		top: unset;
		bottom: 1rem;
	}

	.bivalyos-heading span {
		padding: 0;
	}
	.bivalyos-heading:before, .bivalyos-heading:after {
		content: none;
	}
	.iu-text-align-center:not(h1), .iu-text-align-right {
		text-align: left;
	}

	.iu-image-carousel-slider .slick-track {
		gap: 0;
	}

	.iu-group.order-flow-container {
		flex-wrap: wrap;
	}
	.iu-group.order-flow {
		width: calc((100% - .21rem) / 2);
		padding-left: 2.7rem;
		padding-right: 2.7rem;
	}
	.iu-group.order-help {
		flex-direction: column;
		align-items: flex-start;
	}
	.iu-group.order-help > .iu-group {
		padding: 0;
	}

	.bivalyos-arak {
		flex-direction: column;
	}
	.bivalyos-arak span[style*=font-size] {
		font-size: 1.8rem !important;
	}

	.bivalyos-arak + .iu-group {
		flex-direction: column;
		align-items: flex-start;
	}

	.iu-row.bivalyos-download {
		padding-top: 3rem;
		padding-left: 0;
		padding-right: 0;
	}

	.bivalyos-ikonok {
		flex-wrap: wrap;
	}
	.bivalyos-ikonok > .iu-group {
		width: calc((100% - 2.1rem) / 2);
		flex: unset;
	}
	.bivalyos-ikonok .iu-text-align-center {
		text-align: center;
	}

	.iu-group.quality-group h4 {
		margin-bottom: 1rem;
	}

	.iu-group.mobile-column {
		flex-direction: column;
	}

	.iu-row.mobile-reverse {
		flex-direction: column-reverse;
	}

	.iu-group.toc {
		height: auto !important;
	}

	.bivalyos-szakmai .iu-column-2-3 > .iu-group > .iu-group {
		flex-direction: column;
	}

	.bivalyos-about .iu-image {
		margin-bottom: -1rem;
	}
	.bivalyos-about .iu-image img {
		width: 100% !important;
	}

	.iu-blog-item {
		flex-direction: column;
	}
	.iu-blog-item .iu-query-item-image {
		width: 100%;
		margin-bottom: -1rem;
		padding-top: 75%;
	}

	h1 + .iu-text-align-center.iu-text-muted {
		text-align: center;
	}

	.bivalyos-team {
		flex-wrap: wrap;
	}
	.bivalyos-team > .iu-group {
		width: calc((100% - 2.1rem) / 2);
		flex: unset;
	}
	.bivalyos-team .iu-text-align-center {
		text-align: center;
	}

	.bivalyos-prices {
		flex-direction: column;
	}

	.iu-modal-dialog {
		width: 90%;
		left: 5%;
	}

	.newsletter-section .iu-image .iu-image-wrap {
		width: 100% !important;
		padding-top: 80% !important;
	}

	.footer .iu-row {
		flex-direction: row;
		justify-content: space-between;
		flex-wrap: wrap;
	}
	.footer .iu-row:first-child .iu-column, .footer .iu-row:first-child .iu-column:first-child {
		width: calc((100% - 2.1rem) / 2) !important;
		padding: 0;
	}
	.footer .iu-text-align-center {
		text-align: center;
	}
	.footer {
		padding-bottom: 9rem !important;
	}
	footer {
		position: relative;
	}
	.iu-image.szechenyi {
		position: absolute;
	}
}